
package com.tmerclub.cloud.order.model;

import com.tmerclub.cloud.common.model.BaseModel;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 采购商品
 *
 * @author lhd
 * @date 2022-06-22 17:12:02
 */
public class PurchaseOrderItem extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * id
     */
    private Long purchaseItemId;

    /**
     * 采购订单号
     */
    private Long purchaseOrderId;

    /**
     * 商品id
     */
    private Long spuId;

    /**
     * sku id
     */
    private Long skuId;

    /**
     * 采购金额
     */
    private Long purchaseAmount;

    /**
     * 采购价
     */
    private Long purchasePrice;

    /**
     * 采购库存数量
     */
    private Integer purchaseStock;

    /**
     * 实际库存数量
     */
    private Integer actualStock;
    /**
     * 实际库存数量
     */
    private Integer deliveryType;

    /**
     * 状态 0:已作废 1:待入库 2:已发货 3.部分入库 5:已完成
     */
    private Integer status;

    /**
     * 商品编码
     */
    private String spuCode;
    /**
     * sku编码
     */
    private String partyCode;

    /**
     * 商品图片
     */
    private String pic;
    /**
     * 待发货数量
     */
    private Integer beDeliveredNum;

    @Schema(description = "spu名称列表")
    private List<PurchaseOrderItemLang> purchaseOrderItemLangList;

    public String getSpuCode() {
        return spuCode;
    }

    public void setSpuCode(String spuCode) {
        this.spuCode = spuCode;
    }

    public Integer getDeliveryType() {
        return deliveryType;
    }

    public void setDeliveryType(Integer deliveryType) {
        this.deliveryType = deliveryType;
    }

    public Integer getBeDeliveredNum() {
        return beDeliveredNum;
    }

    public void setBeDeliveredNum(Integer beDeliveredNum) {
        this.beDeliveredNum = beDeliveredNum;
    }

    public String getPic() {
        return pic;
    }

    public void setPic(String pic) {
        this.pic = pic;
    }

    public List<PurchaseOrderItemLang> getPurchaseOrderItemLangList() {
        return purchaseOrderItemLangList;
    }

    public void setPurchaseOrderItemLangList(List<PurchaseOrderItemLang> purchaseOrderItemLangList) {
        this.purchaseOrderItemLangList = purchaseOrderItemLangList;
    }

    public String getPartyCode() {
        return partyCode;
    }

    public void setPartyCode(String partyCode) {
        this.partyCode = partyCode;
    }

    public Long getPurchaseItemId() {
        return purchaseItemId;
    }

    public void setPurchaseItemId(Long purchaseItemId) {
        this.purchaseItemId = purchaseItemId;
    }

    public Long getSpuId() {
        return spuId;
    }

    public Long getPurchaseOrderId() {
        return purchaseOrderId;
    }

    public void setPurchaseOrderId(Long purchaseOrderId) {
        this.purchaseOrderId = purchaseOrderId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public Long getPurchaseAmount() {
        return purchaseAmount;
    }

    public void setPurchaseAmount(Long purchaseAmount) {
        this.purchaseAmount = purchaseAmount;
    }

    public Long getPurchasePrice() {
        return purchasePrice;
    }

    public void setPurchasePrice(Long purchasePrice) {
        this.purchasePrice = purchasePrice;
    }

    public Integer getPurchaseStock() {
        return purchaseStock;
    }

    public void setPurchaseStock(Integer purchaseStock) {
        this.purchaseStock = purchaseStock;
    }

    public Integer getActualStock() {
        return actualStock;
    }

    public void setActualStock(Integer actualStock) {
        this.actualStock = actualStock;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Override
    public String toString() {
        return "PurchaseOrderItem{" +
                "purchaseItemId=" + purchaseItemId +
                ", purchaseOrderId=" + purchaseOrderId +
                ", spuId=" + spuId +
                ", skuId=" + skuId +
                ", purchaseAmount=" + purchaseAmount +
                ", purchasePrice=" + purchasePrice +
                ", purchaseStock=" + purchaseStock +
                ", actualStock=" + actualStock +
                ", deliveryType=" + deliveryType +
                ", status=" + status +
                ", spuCode='" + spuCode + '\'' +
                ", partyCode='" + partyCode + '\'' +
                ", pic='" + pic + '\'' +
                ", beDeliveredNum=" + beDeliveredNum +
                ", purchaseOrderItemLangList=" + purchaseOrderItemLangList +
                '}';
    }
}
